Faeria - Fall of Everlife DLC

  • Faeria - Fall of Everlife DLC
  • Faeria - Fall of Everlife DLC
  • Faeria - Fall of Everlife DLC
  • Faeria - Fall of Everlife DLC
  • Faeria - Fall of Everlife DLC
  • Faeria - Fall of Everlife DLC

Sobre este juego

El emperador Kaios ha consumido la Fruta de la Vida Eterna, lo que ha desatado una terrible corrupción sobre Oversky. ¡Únete a los yaks y a los rakoans para combatirla!

Caída de la Vida Eterna presenta 40 CARTAS NUEVAS que añadir a tu colección.

Estas cartas nuevas presentan las últimas mecánicas y palabras clave, como la poderosa CORROMPER: Hace algo la primera vez que esta criatura se mueve sobre una tierra enemiga en cualquier turno luego de que es invocada.

Caída de la Vida Eterna también introduce SUBTIPOS en Faeria. Los subtipos proporcionan una sinergia adicional entre las cartas de criaturas de tu mazo. Por último, puedes invocar una horda de yaks para dominar a tu oponente.


Los subtipos que se introducen en este DLC:


  • Yaks
  • Rakoans
  • Bestias

Este contenido se divide en dos partes:

Parte 1: 20 cartas nuevas
¡Incluye la palabra clave Corromper y más!
Se desbloquea el 18 de julio de 2018.

Parte 2: 20 cartas nuevas
¡Presenta los subtipos yaks, rakoans y bestias!
Se desbloquea el 21 de agosto de 2018.

Para ver la LISTA COMPLETA de las cartas disponibles en este DLC, visita este enlace: https://www.faeria.com/news/patch-notes/239-fall-of-everlife-cards.

¡Solo tienes que comprar este contenido una vez para obtenerlo todo! Al desbloquear este DLC, las cartas nuevas ya podrán aparecer en los cofres de batalla. Recuerda: Los cofres de batalla NUNCA contienen duplicados.

Además, con la compra de este DLC, ¡obtendrás al instante un avatar único, un orbe, un pozo y un reverso para tu colección!


Requisitos de sistema

Minimum:
Windows 7 SP1+
2.2GHz Dual Core
4 GB RAM
OpenGL 3.3 or DX10 compatible, 2GB+
2 GB available space
Version 10
Broadband Internet connection
Minimum:
macOS 10.12+
2.2GHz Dual Core
4 GB RAM
OpenGL 3.3 compatible, 2GB+
2 GB available space
Broadband Internet connection
Minimum:
Ubuntu 16.04+ or equivalent
2.2GHz Dual Core
4 GB RAM
OpenGL 3.3 compatible, 2GB+
2 GB available space
Broadband Internet connection

Comentarios